Jump to content


Rome Total War on Tiger


  • Please log in to reply
8 replies to this topic

#1 lsrw

lsrw

    Newbie

  • Members
  • 3 posts

Posted 30 June 2014 - 02:08 AM

Hi All,

Is there any way to force, patch or fool Rome Total War into running on tiger? When I attempt to open it I get the message 'Rome Total War can not be run on this machine. Rome Total War requires Mac OS 10.5 or later when running on Mac OS X...'

I don't want to upgrade to leopard because a) I don't want to lose classic, b) I don't want to spend money buying it and c) I hate leopard! :P

Thanks in advance for any advice,
LSRW

#2 Thain Esh Kelch

Thain Esh Kelch

    Admin

  • Members
  • PipPipPipPipPipPipPipPip
  • 3779 posts
  • Steam ID:thaineshkelch
  • Location:Denmark

Posted 30 June 2014 - 04:05 AM

Most likely not. Usually minimum requirements are set due to some software requirement that earlier systems lack.
"They're everywhere!" -And now, time for some Legend of Zelda.

iMac 2011, quad 3,4Ghz i7, 1TB Samsung EVO 840, 8GB RAM, 2GB Radeon 6970m. + 2016 Macbook m3 + iPad 2 64GB + iPhone 4S 64GB + Girlfriend + Daughter

#3 lsrw

lsrw

    Newbie

  • Members
  • 3 posts

Posted 02 July 2014 - 03:58 PM

Thanks for the info Thain. Since posting last I came across the system requirements online which state that it actually will run on Tiger, so now I'm a little confused. When I think about it i'm pretty sure that I used to play the game on Tiger on my old iMac but I did eventually upgrade it through leopard, SL and even Lion, so I may be wrong. Perhaps they released one of those idiotic minor updates which increase the requirements for no apparent reason? Does anybody know of a way to regress updates? Unfortunately I don't have the disks anymore as they belonged to my brother, and the app has just been copied across from my old laptop...

LSRW

#4 Frost

Frost

    Secretary of Offense

  • Forum Moderators
  • PipPipPipPipPipPipPipPipPipPipPip
  • 6074 posts
  • Steam ID:CaptFrost
  • Location:Republic of Texas
  • Pro Member:Yes

Posted 02 July 2014 - 06:36 PM

I believe the requirements were always Leopard, however I was in the beta and that whole time it ran okay in Tiger on my PowerMac G5. No idea if there's a way to force the release version to run though.

That being said, the release version does not run properly under Leopard on the same G5, leaving me unable to play R:TW until I got a gaming PC and the PC version. :/
Kestrel (Falcon NW Tiki) – 4.0 GHz i7 4790K / 16GB RAM / 512GB Samsung 950 Pro M.2, 2x480GB Intel 730 (RAID0), 10TB STX BarraCuda Pro / GeForce GTX TITAN X 12GB
Iridium (MacBook Pro Mid-2012) – 2.7 GHz i7 3820QM / 16GB RAM / 2TB Samsung 850 Pro / GeForce GT 650M 1GB

Eric5h5:
When there's a multiplayer version, I'm going to be on Frost's team. Well, except he doesn't seem to actually need a team...I mean, what's the point? "Hey look, it's Frost and His Merry Gang of Useless Hangers-On!" Or something.

#5 lsrw

lsrw

    Newbie

  • Members
  • 3 posts

Posted 02 July 2014 - 11:28 PM

Ah, that would explain it... bummer...

Thanks for your help guys,
LSRW

#6 Sneaky Snake

Sneaky Snake

    Official Mascot of the 1988 Winter Olympics

  • IMG Writers
  • 3296 posts
  • Steam Name:SneakySnake
  • Steam ID:sneaky_snake
  • Location:Waterloo, Canada

Posted 08 July 2014 - 10:57 AM

What are the specs of the Mac you are running?

What you could always do is dual boot a Snow Leopard or similar partition for the sole purpose of running games that require a newer OS.
2015 13" rMBP: i5 5257U @ 2.7 GHz || Intel Iris 6100 || 8 GB LPDDR3 1866 || 256 GB SSD || macOS Sierra
Gaming Build: R5 1600 @ 3.9 GHz || Asus GTX 1070 8 GB || 16 GB DDR4 3000 || 960 Evo NVMe, 1 TB FireCuda || Win10 Pro
Other: Dell OptiPlex 3040 as VMware host || QNAP TS-228 NAS || iPhone 6S 64GB

#7 edddeduck

edddeduck

    Feral Interactive

  • Developer
  • PipPipPipPipPip
  • 1229 posts
  • Location:London, England, UK

Posted 28 July 2014 - 01:55 AM

View PostFrost, on 02 July 2014 - 06:36 PM, said:

I believe the requirements were always Leopard, however I was in the beta and that whole time it ran okay in Tiger on my PowerMac G5. No idea if there's a way to force the release version to run though.

That being said, the release version does not run properly under Leopard on the same G5, leaving me unable to play R:TW until I got a gaming PC and the PC version. :/

We dropped the older OS's and PPC in one of the later patches, if you have the older application you can play on Tiger or PPC machines.

#8 Frost

Frost

    Secretary of Offense

  • Forum Moderators
  • PipPipPipPipPipPipPipPipPipPipPip
  • 6074 posts
  • Steam ID:CaptFrost
  • Location:Republic of Texas
  • Pro Member:Yes

Posted 28 July 2014 - 05:07 PM

View Postedddeduck, on 28 July 2014 - 01:55 AM, said:

We dropped the older OS's and PPC in one of the later patches, if you have the older application you can play on Tiger or PPC machines.
I know that; I mean the PPC version won't run under Leopard on my G5. It's currently at 1.1.2... was there a newer PPC version for Rome: Total War before support got dropped?
Kestrel (Falcon NW Tiki) – 4.0 GHz i7 4790K / 16GB RAM / 512GB Samsung 950 Pro M.2, 2x480GB Intel 730 (RAID0), 10TB STX BarraCuda Pro / GeForce GTX TITAN X 12GB
Iridium (MacBook Pro Mid-2012) – 2.7 GHz i7 3820QM / 16GB RAM / 2TB Samsung 850 Pro / GeForce GT 650M 1GB

Eric5h5:
When there's a multiplayer version, I'm going to be on Frost's team. Well, except he doesn't seem to actually need a team...I mean, what's the point? "Hey look, it's Frost and His Merry Gang of Useless Hangers-On!" Or something.

#9 edddeduck

edddeduck

    Feral Interactive

  • Developer
  • PipPipPipPipPip
  • 1229 posts
  • Location:London, England, UK

Posted 29 July 2014 - 02:21 AM

View PostFrost, on 28 July 2014 - 05:07 PM, said:

I know that; I mean the PPC version won't run under Leopard on my G5. It's currently at 1.1.2... was there a newer PPC version for Rome: Total War before support got dropped?

Nope I am pretty sure that was the final PPC version.